(function() {
  'use strict'

  if (typeof jQuery === 'undefined') {
    console.warn('jQuery not undefined, please check jQuery your!')
    return;
  }

  window.$UPDATE_DATA_ATTR = function({table = '', column = '', text = ''}) {
    const $el = $(`[data-${table}=${column}]`);
    if ($el.length) {
      $el.text(text)
      $el.removeClass('animate-flicker').addClass('animate-flicker');
    }
  }
}())
